# $Revision: 1.5 $, $Date: 2004/06/04 19:39:41 $
%define 	module	pullparser

Summary:	Python package providing a module for parsing HTML
Summary(pl):	Pakiet zawierajcy modu analizatora HTML
Name:		python-%{module}
Version:	0.0.5b
Release:	1
License:	Artistic
Group:		Development/Languages/Python
Source0:	http://wwwsearch.sourceforge.net/%{module}/src/%{module}-%{version}.tar.gz
# Source0-md5:	e4e238ead1d1e421cc5866c8e3f9153f
URL:		http://wwwsearch.sourceforge.net/pullparser/
Requires:	python-modules >= 2.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple "pull API" for HTML parsing, after Perl's HTML::TokeParser.
Many simple HTML parsing tasks are simpler this way than with the
HTMLParser module. pullparser.PullParser is a subclass of
HTMLParser.HTMLParser.

%description -l pl
Prosty analizator HTML, inspirowany perlowym HTML::TokeParser. Wiele
prostych zada zwizanych z przetwarzaniem HTML mona nim zrobi
atwiej ni za pomoc moduu HTMLParser. pullparser.PullParser jest
podklas HTMLParser.HTMLParser.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

rm $RPM_BUILD_ROOT/%{py_sitescriptdir}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog GeneralFAQ.html README.html
%{py_sitescriptdir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pullparser.spec,v $
Revision 1.5  2004/06/04 19:39:41  jpc
- updated to 0.0.5b
- rel 1

Revision 1.4  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.3  2004/05/13 17:43:08  ankry
- spaces -> tabs, other cosmetics

Revision 1.2  2004/02/21 21:08:58  qboosh
- unified License field (just "Artistic")
- removed COPYING (just Artistic), INSTALL (useless), README.txt (README.html dup)

Revision 1.1  2004/02/15 10:41:14  adamg
- initial import (from Jakub Piotr Clapa <loc(at)toya.net.pl>)
